package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXAccessToken;
import com.sa.ibiz.demo.demo.service.dto.WXAccessTokenSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXAccessToken] 服务对象接口
 */
public interface WXAccessTokenService extends IService<WXAccessToken>{

	boolean checkKey(WXAccessToken et);
	boolean create(WXAccessToken et);
	boolean remove(WXAccessToken et);
		WXAccessToken get(WXAccessToken et);
	boolean update(WXAccessToken et);
	boolean getDraft(WXAccessToken et);
    List<WXAccessToken> listDefault(WXAccessTokenSearchFilter filter) ;
	Page<WXAccessToken> searchDefault(WXAccessTokenSearchFilter filter);
	/**	 实体[WXAccessToken] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }